<%--
 This is an error page delivered by the TaskInterface servlet when the user
 appears to have interacted with a page in the browser's history.  Its job
 is to display a brief warning message instructing them not to do that, then
 redirect the browser to a URL that will show the current panel for that task.
--%>

<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@taglib prefix="hmc" uri="/WEB-INF/hmc.tld"%>

<fmt:bundle basename="com.ibm.hwmca.fw.servlet.tasks.res.task">
<html>
<head>
   <hmc:title><fmt:message key="historyWarningTitle"/></hmc:title>
   <link href='<%=application.getAttribute("hmcStyleSheet")%>' rel="stylesheet" type="text/css"/>
   <link rel="SHORTCUT ICON" href="/favicon.ico"/>
   <link rel="icon" href="/hmc.png" type="image/png"/>
   <script type="text/javascript" src="/js/task/taskWindow.js"></script>

   <meta http-equiv="refresh" content="4;URL=<c:out value='${taskURI}'/>&correctPanelSize=1"/>
</head>
<body>
<span class="cont1">
<h1><fmt:message key="historyWarningTitle"/></h1>
<p><fmt:message key="historyWarningMessage"/></p>
</span>

<script type="text/javascript">
   // Make sure the request came from the right window.  If not, close the window.
   if (window.name != "<c:out value='${expectedWindowName}'/>") {
      window.onunload = "";
      window.close();

   } else {
      // Trap window closings, since some users are click-happy
      initializeWinProps("<c:out value='${taskId}'/>", "<c:out value='${mainWindowName}'/>");
      trapWindowClose();

      // Make sure the message can be read
      window.resizeTo(<fmt:message key="historyWindowWidth"/>,
                      <fmt:message key="historyWindowHeight"/>);
   }
</script>
</body>
</html>
</fmt:bundle>
